colorscheme blue
set background=dark

au BufNewFile,BufRead *.tex,*.latex,*.sty,*.dtx,*.ltx,*.ctx setf cct
syntax on

autocmd BufRead *.tex,*.ctx,*.sty,*.dtx set tw=78 | set formatoptions+=tqmM
	\ | set encoding=euc-cn

" Note ZLB: 'icon=/usr/share/ite/pixmaps/Empty.xpm' does not work (why?),
"	    thus we have to create symbolic links in $VIMRUNTIME/bitmaps
am ToolBar.Empty	:<CR>

tm ToolBar.CTeX		LaTeX 
am ToolBar.CTeX		:call <SID>CTeX()<CR>
fun <SID>CTeX()
    wall
    !env VTEX_CMD=$VTEX_CTEXCMD VTEX_OPTS=$VTEX_OPTS vtex #1
endfun

tm ToolBar.XDvi		DVI Ԥ
am ToolBar.XDvi		:call <SID>ViewDVI()<CR>
fun <SID>ViewDVI()
    !env VTEX_CMD="kdvi-wrapper" XEDITOR=vtex VTEX_NAME=$VTEX_NAME vtex #1< &
endfun

tm ToolBar.Search	DVI 
am ToolBar.Search	:call <SID>ForwardSearch()<CR>
fun <SID>ForwardSearch()
    let cmd = "env VTEX_CMD=\"kdvi-wrapper\" XEDITOR=vtex VTEX_NAME="
    let cmd = cmd . $VTEX_NAME . " vtex \"file:"
    let cmd = cmd .  expand("#1<") .  "#src:" .  line(".")
    let cmd = cmd . " " . bufname("%") .  "\" &"
    echo system(cmd)
endfun

tm ToolBar.Quick	TeX  + DVI Ԥ
am ToolBar.Quick	:call <SID>QuickBuild()<CR>
fun <SID>QuickBuild()
    call <SID>CTeX()
    call <SID>ViewDVI()
endfun

am ToolBar.Empty1 :<CR>

tm ToolBar.Log		鿴 .log ļ
am ToolBar.Log		:edit #1<.log<CR>

tm ToolBar.Clean	ʱļ (ctextemp_*.*)
am ToolBar.Clean	:!ctex -clean<CR>

tm ToolBar.Master	ĵ
am ToolBar.Master 	:buffer 1<CR>

winsize 80 25

" TODO: QuickFix/TeX support
compiler tex
let &makeprg='ctex ' . $VTEX_OPTS . ' -interaction=nonstopmode '. expand("#1")
